Subject: RE: [NSIS] About GIMPS!

From: Tschofenig Hannes <[email-masked]>
Date: Tue, 6 Apr 2004 17:13:00 +0200

hi elena,
 
> Hi all, 
> 
> 
> In the framework of NSIS there are 2 approaches:
> 
> -sender-initiated approach is when the sender of the data 
> flow requests and maintains the 
> treatment for that flow;
> -receiver-initiated approach the receiver of the data flow 
> requests and    maintains the treatment 
> for that flow. 
> 
> I think that in  GIMPS 
> (http://www.ietf.org/internet-drafts/draft-ietf-nsis-ntlp-01.txt ) 
> there is  only the second approach ( the same approach used in RSVP).
> 
> What's "Routing State and Messaging Association Maintainance" 
> in sender-initiated approach ?
> 

you need to take a look at the nslps with regard to their approach dealing
with sender- vs. receiver-oriented approaches. 

if you decouple the authorization aspects from the signaling aspects then
the concepts of sender- vs. receiver-initiated "something" are less obvious
in a path-coupled signaling protocol. i personally think that the
definitions of these two terms is rather fuzzy (even in the framework). with
path-coupled signaling only the sender is able to start signaling.
'maintaining the treatment for a flow' is also difficult to understand in
the light of our mobility discussions or the recently discussed preemption
issues. 

ciao
hannes

> 
> Thanks for your replies,
> Elena
>  
> 
> 
> _______________________________________________
> nsis mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/nsis
> 

_______________________________________________
nsis mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nsis

---

From: "Cheng Hong" <[email-masked]>
Date: Wed, 7 Apr 2004 10:52:12 +0800

Hi Hannes,

<Snip>
> in a path-coupled signaling protocol. i personally think that the

I think if we further decouple the messaging association establishing
procedure (GIMPS) from the actual signaling (NSLP signaling), the
sender-init vs. receiver-init would be less important. With the current text
in GIMPS, there is still a subtle difference, e.g. in D-mode, sender-init
could send NSLP message with the "GIMPS-query" message. 

As for the messaging association establishment, it is a GIMPS level
signaling. According to the text in section 4.3, it has to be initiated from
upstream. What is lacking is how this process is triggered (maybe out of
scope). What I am not so sure is that if it is triggered by a message sent
by the receiver, e.g. a BU from a MN, could we call it receiver initiated?

> path-coupled signaling only the sender is able to start signaling.

Do you mean the GIMPS signaling described above? I feel it depends on what
we took as "signaling": NSLP or NSLP+NTLP. But, overall (for NTLP and NSLP),
it is quite true.

cheers

Cheng Hong